Summary: GNU Plotting Utilities
Name: plotutils
Version: 2.1.6
Release: 1
Copyright: GPL
Group: Applications/Graphics
Source: ftp://ftp.gnu.org/pub/gnu/plotutils-2.1.6.tar.gz
URL: http://www.gnu.org/software/plotutils/plotutils.html
Packager: Robert S. Maier <rsm@math.arizona.edu>
Provides: libplot.so.0
Requires: ghostscript-fonts >= 4
Requires: texinfo >= 3.9

%description 

The GNU plotting utilities include: (1) Sample command-line applications
`graph', `plot', `tek2plot', and `plotfont', which are built on top of the
GNU libplot DLL.  `graph' is a powerful utility for XY plotting, `plot'
translates GNU metafiles to other formats, `tek2plot' translates legacy
Tektronix data, and `plotfont' plots character maps.  (2) GNU libplot, the
underlying DLL for two-dimensional device-independent vector graphics and
vector graphics animation under the X Window System.  Output formats
include X11, Adobe Illustrator, Postscript (editable with the free `idraw'
drawing editor), Fig (editable with the free `xfig' drawing editor), PCL 5,
HP-GL and HP-GL/2, Tektronix, and GNU metafile format.  Many Postscript,
PCL, and Hershey fonts are supported.  (3) Command-line applications
`spline', `double', and `ode', which are useful in scientific plotting.
`spline' does spline interpolation of input data of arbitrary
dimensionality.  It uses cubic splines, splines under tension, or cubic
Bessel interpolation.  `ode' is an interactive program that can integrate a
user-specified system of ordinary differential equations.

%prep
%setup

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS"

%install
export PATH=/usr/bin/X11:/usr/X11/bin:$PATH
make install
cp -p fonts/pcf/*.pcf /usr/lib/X11/fonts/misc
cd /usr/lib/X11/fonts/misc
mkfontdir
cd /usr/lib
ln -sf libplot.so.0.1.6 libplot.so.0
ln -sf libplot.so.0.1.6 libplot.so

%post
export PATH=/sbin:/usr/bin/X11:/usr/X11/bin:/usr/local/bin:$PATH
install-info /usr/info/plotutils.info /usr/info/dir
ldconfig
if ! test -f /usr/lib/X11/fonts/Type1/a010013l.pfb ; then
if test -f /usr/share/ghostscript/fonts/a010013l.pfb ; then
cd /usr/share/ghostscript/fonts
for i in *.pfb ; do
ln -s /usr/share/ghostscript/fonts/$i /usr/lib/X11/fonts/Type1/$i
done
cd /usr/lib/X11/fonts/Type1
echo 'a010013l.pfb -adobe-itc avant garde gothic-book-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'a010015l.pfb -adobe-itc avant garde gothic-demi-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'a010033l.pfb -adobe-itc avant garde gothic-book-o-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'a010035l.pfb -adobe-itc avant garde gothic-demi-o-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'b018012l.pfb -adobe-itc bookman-light-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'b018015l.pfb -adobe-itc bookman-demi-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'b018032l.pfb -adobe-itc bookman-light-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'b018035l.pfb -adobe-itc bookman-demi-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'c059013l.pfb -adobe-new century schoolbook-medium-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'c059016l.pfb -adobe-new century schoolbook-bold-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'c059033l.pfb -adobe-new century schoolbook-medium-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'c059036l.pfb -adobe-new century schoolbook-bold-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'd050000l.pfb -adobe-itc zapf dingbats-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific' >> fonts.scale
echo 'n019003l.pfb -adobe-helvetica-medium-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n019004l.pfb -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n019023l.pfb -adobe-helvetica-medium-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n019024l.pfb -adobe-helvetica-bold-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n019043l.pfb -adobe-helvetica-medium-r-narrow--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n019044l.pfb -adobe-helvetica-bold-r-narrow--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n019063l.pfb -adobe-helvetica-medium-i-narrow--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n019064l.pfb -adobe-helvetica-bold-i-narrow--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n021003l.pfb -adobe-times-medium-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n021004l.pfb -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n021023l.pfb -adobe-times-medium-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n021024l.pfb -adobe-times-bold-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'n022003l.pfb -adobe-courier-medium-r-normal--0-0-0-0-m-0-iso8859-1' >> fonts.scale
echo 'n022004l.pfb -adobe-courier-bold-r-normal--0-0-0-0-m-0-iso8859-1' >> fonts.scale
echo 'n022023l.pfb -adobe-courier-medium-o-normal--0-0-0-0-m-0-iso8859-1' >> fonts.scale
echo 'n022024l.pfb -adobe-courier-bold-o-normal--0-0-0-0-m-0-iso8859-1' >> fonts.scale
echo 'p052003l.pfb -adobe-palatino-medium-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'p052004l.pfb -adobe-palatino-bold-r-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'p052023l.pfb -adobe-palatino-medium-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 'p052024l.pfb -adobe-palatino-bold-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
echo 's050000l.pfb -adobe-symbol-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific' >> fonts.scale
echo 'z003034l.pfb -adobe-itc zapf chancery-medium-i-normal--0-0-0-0-p-0-iso8859-1' >> fonts.scale
mkfontdir
if test "$DISPLAY" != "" ; then xset fp rehash 2> /dev/null ; fi
fi
fi

%preun
export PATH=/sbin:/usr/local/bin:$PATH
if [ $1 = 0 ]; then
install-info --delete /usr/info/plotutils.info /usr/info/dir
rm -f /usr/lib/libplot.so.0 /usr/lib/libplot.so
fi

%postun
export PATH=/sbin:/usr/bin/X11:/usr/X11/bin:$PATH
if [ $1 = 0 ]; then
rm -rf /usr/share/libplot
rm -rf /usr/share/ode
rm -rf /usr/share/tek2plot
fi
ldconfig
cd /usr/lib/X11/fonts/misc
mkfontdir
if test "$DISPLAY" != "" ; then xset fp rehash 2> /dev/null ; fi

%files
%doc README
%doc PROBLEMS
%doc KNOWN_BUGS
%doc INSTALL.fonts
%doc AUTHORS
%doc THANKS
/usr/bin/double
/usr/bin/graph
/usr/bin/ode
/usr/bin/plot
/usr/bin/plotfont
/usr/bin/spline
/usr/bin/tek2plot
/usr/include/plot.h
/usr/info/plotutils.info
/usr/lib/X11/fonts/misc/tekfont0.pcf
/usr/lib/X11/fonts/misc/tekfont1.pcf
/usr/lib/X11/fonts/misc/tekfont2.pcf
/usr/lib/X11/fonts/misc/tekfont3.pcf
/usr/lib/libplot.a
/usr/lib/libplot.so.0.1.6
/usr/share/libplot/README   
/usr/share/libplot/colors.txt
/usr/share/libplot/demo-page
/usr/share/libplot/h-demo.c 
/usr/share/libplot/h-fonts.doc
/usr/share/libplot/h-glyphs.doc
/usr/share/libplot/hershey.bib
/usr/share/libplot/kana.doc 
/usr/share/libplot/kanji.doc
/usr/share/ode/README     
/usr/share/ode/atwoods.ode
/usr/share/ode/bead.ode   
/usr/share/ode/chem.ode   
/usr/share/ode/coupled.ode
/usr/share/ode/ddho.ode   
/usr/share/ode/dynamo.ode 
/usr/share/ode/henon.ode  
/usr/share/ode/limitcycle.ode
/usr/share/ode/lorenz.ode 
/usr/share/ode/lunar.sh   
/usr/share/ode/orbit.ode  
/usr/share/ode/population.ode
/usr/share/ode/qcd.ode    
/usr/share/ode/rumor.ode  
/usr/share/ode/soliton.ode
/usr/share/ode/viscous.ode
/usr/share/tek2plot/README   
/usr/share/tek2plot/aitest.tek
/usr/share/tek2plot/dmerc.tek
/usr/share/tek2plot/fotest.tek
/usr/share/tek2plot/imtesth.tek
/usr/share/tek2plot/karney.tek
/usr/share/tek2plot/ocpred.tek
/usr/share/tek2plot/scale.tek
/usr/share/tek2plot/skymap.tek
/usr/share/tek2plot/usmap.tek
